{% load static %}
{% load pmo_template_tags %}
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>

<head>
   <!-- <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat:400,500,600,700" /> -->
   <!-- <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">  -->
    <link rel="stylesheet" href="https://acella-images.s3.us-west-2.amazonaws.com/media/QuillEditorCss.css" type="text/css">

    <style>
       body {
          font-family: "Montserrat", sans-serif;
       }

       @page {
        margin: 1cm 0;
        }

       header {
          display: flex;
          margin-left: 35px;
           margin-bottom: 20px;
       }

       img.logo {
          width: 350px;
       }

       .container-panel {
          display: flex;
          font-style: normal;
          font-weight: normal;
          font-size: 15px;
          color: #001f2b;
       }

       img.user-image {
          width: 40px;
          height: 40px;
          border-radius: 50%;
       }

       .user-data {
          padding: 2px 0 0 2px;
          width: calc(100% - 40px);
       }

       .right-panel {
          padding: 0 0 20px 0;
          width: 100%;
       }

       .project-deatils {
          display: flex;
          background: #edf6fa;
          padding: 15px 0 15px 30px;
          margin: 0 auto;
          position: relative;
          justify-content: center;
           width: 90%;
           align-items: center;
       }

       .column {
          padding: 0 65px 0 0;
       }

       .project-title-time {
          display: flex;
          flex-direction: column;
          align-items: center;
       }

       .overall-project-status {
          position: absolute;
          right: 20px;
          top: 40%;
       }

       .label-grey {
          color: grey;
          font-size: 12px;
       }

       .bold {
          font-weight: 600;
          margin: 5px 0 0 0;
       }

       .status {
          padding: 5px 15px;
          margin: 5px 0 0 0;
       }

       .right-heading {
          font-weight: 600;
          margin-left: -20px;
       }

       .project-details,
       .agenda-topics,
       .team-details-main,
       .project-notes {
          padding: 20px 0 10px 0px;
          width: 85%;
          margin: 0 auto;
       }

       .sub-heading {
          color: #37719b;
          font-weight: 600;
          font-size: 14px;
       }

       .action-items {
          padding: 15px 0;
       }

       .table {
          display: flex;
          flex-direction: column;
       }

       .agenda-topic-list {
          padding: 15px 0;
       }

       .table-header {
          display: flex;
          margin-bottom: 5px;
       }

       .header-text-name {
          font-weight: 500;
          font-size: 14px;
          padding: 10px 0px 0px 10px;
          text-align: left;
          width: 40%;
       }

       .header-text-center-status {
          font-weight: 500;
          font-size: 14px;
          padding: 10px 0px 0px 10px;
          text-align: center;
          width: 20%;
       }

       .header-text-center {
          font-weight: 500;
          font-size: 14px;
          padding: 10px 0px 0px 10px;
          text-align: center;
          width: 20%;
       }

       .table-text {
          background: #f2f6f7;
          font-weight: 500;
          font-size: 14px;
          padding: 10px 0px 10px 10px;
          text-align: center;
          width: 20%;
          display: flex;
          margin: 0 2px 4px 2px;
          justify-content: center;
          align-items: center;
       }

       .agenda-topic {
          background: #f2f6f7;
          font-weight: 500;
          font-size: 14px;
          padding: 8px;
          margin-bottom: 6px;
          word-break: break-word;
          line-height: 18px;
       }

       .table-text-name {
          background: #f2f6f7;
          font-weight: 500;
          font-size: 14px;
          padding: 10px 0px 10px 10px;
          text-align: left;
          width: 40%;
          margin: 0 2px 4px 2px;
          word-break: break-word;
       }

       img.user-image-table {
          width: 30px;
          height: 30px;
          border-radius: 50%;
          margin: 0 10px 0 0;
       }

       .table-text-user {
          background: #f2f6f7;
          font-weight: 500;
          font-size: 14px;
          padding: 3px 0px 4px 11px;
          text-align: center;
          width: 20%;
          margin: 0 2px 4px 2px;
          display: flex;
          align-items: center;
          justify-content: center;
          word-break: break-word;
       }

       .table-status {
          border-left: 5px solid green;
          background: #0080003b;
          width: 20% !important;
          text-align: center;
       }

       .project-details-panel {
          border-bottom: 1px solid #ccc;
       }

       .user-row-notes {
          display: flex;
          padding: 5px 0 10px 0;
       }

       .notes-name {
          font-weight: 500;
       }

       .note {
          white-space: pre-line;
          text-align: justify;
          text-justify: inter-word;
       }

       span.type {
          color: #bababa;
          font-size: 13px;
       }

       .date-notes {
          color: #979696;
          font-size: 13px;
       }

       .fa.fa-envelope {
          padding: 0 5px 0 0;
       }

       .fa.fa-phone {
          padding: 0 5px 0 0;
       }

       @media print {
          h2 {
             page-break-before: always;
          }

          h3,
          h4 {
             page-break-after: avoid;
          }

          pre,
          blockquote {
             page-break-inside: avoid;
          }
       }

       .table-row {
          display: flex;
          page-break-inside: avoid;
          page-break-after: auto
       }

       .team-details-content {
          margin: 15px 0 0 15px;
          page-break-inside: avoid;
          page-break-after: auto;
       }

       .page-break-avoider {
          page-break-inside: avoid;
          page-break-after: auto;
       }

       .height-unset {
           height: unset;
       }
    </style>
</head>

<body>
   <header class="header">
      <img src="{{ project.provider.logo.url }}" alt="" class="logo" />
   </header>
   <div class="container-panel">
      <div class="right-panel">
         <section class="project-deatils">
            <div class="project-title-time">
               <div class="bold">{{ project.customer.name|title }} &#8212; {{ project.title|title }}</div>
               <div class="bold">{{ meeting.name|title }}</div>
               {% if meeting.schedule_start_datetime %}
                   <div class="bold">{{ meeting.schedule_start_datetime.date|date }}</div>
               {% else %}
                   <div class="bold">{{ meeting.conducted_on|iso_string_to_date }}</div>
               {% endif %}
            </div>
            <div class="overall-project-status">
               <div class="label-grey">Overall Project Status</div>
               <div class="status"
                  style="border-left: 5px solid {{ project.overall_status.color }}; background: {{project.overall_status.color|lighter_color}}">
                  {{project.overall_status.title }}
               </div>
            </div>
         </section>
         {% if agenda_topics %}
         <section class="agenda-topics">
            <div class="right-heading">AGENDA TOPICS</div>
            <div class="agenda-topic-list">
               {% for agenda_topic in agenda_topics %}
               <div class="agenda-topic">
                   <div class="ql-container ql-snow height-unset">
                        <div class="ql-editor height-unset">
                            {{ agenda_topic.topic|safe }}
                        </div>
                   </div>
               </div>
               {% endfor %}
            </div>
         </section>
         {% endif %}
         <section class="project-details">
            <div class="right-heading">PROJECT DETAILS</div>
            <div class="project-details-panel">
               {% if action_items %}
               <div class="action-items">
                  <div class="sub-heading">Action Items</div>
                  <div class="table">
                     <div class="table-header">
                        <div class="header-text-name">Item Name</div>
                        <div class="header-text-center">Owner</div>
                        <div class="header-text-center">Due Date</div>
                        <div class="header-text-center-status">Status</div>
                     </div>
                     <div class="table-body">
                        {% for action_item in action_items %}
                           <div class="table-row">
                              <div class="table-text-name">
                                  <div class="ql-container ql-snow">
                                    <div class="ql-editor">
                                        {{ action_item.description|safe }}
                                    </div>
                                  </div>
                              </div>
                              <div class="table-text-user">
                                 {% if action_item.owner %}
                                    {{ action_item.owner.first_name }} {{ action_item.owner.last_name }}
                                 {% else %}
                                    {{ action_item.resource.name }}
                                 {% endif %}
                              </div>
                              <div class="table-text">{{ action_item.due_date|date }}</div>
                              <div class="table-text table-status" style="border-left: 5px solid {{ action_item.status.color }};
                                    background: {{ action_item.status.color|lighter_color }};">
                                 {{ action_item.status.title }}
                              </div>
                           </div>
                        {% endfor %}
                     </div>
                  </div>
               </div>
               {% endif %}
               {% if critical_path_items %}
                  <div class="action-items">
                     <div class="sub-heading">Critical Path Items</div>
                     <div class="table">
                        <div class="table-header">
                           <div class="header-text-name">Item Name</div>
                           <div class="header-text-center">Owner</div>
                           <div class="header-text-center">Due Date</div>
                           <div class="header-text-center">Status</div>
                        </div>
                        <div class="table-body">
                           {% for critical_path_item in critical_path_items %}
                              <div class="table-row">
                                 <div class="table-text-name">
                                     <div class="ql-container ql-snow">
                                         <div class="ql-editor">
                                            {{ critical_path_item.description|safe }}
                                        </div>
                                     </div>
                                 </div>
                                 <div class="table-text-user">
                                    {% if critical_path_item.owner %}
                                       {{ critical_path_item.owner.first_name }} {{ critical_path_item.owner.last_name }}
                                    {% else %}
                                       {{ critical_path_item.resource.name }}
                                    {% endif %}
                                 </div>
                                 <div class="table-text">{{ critical_path_item.due_date|date }}</div>
                                 <div class="table-text table-status" style="border-left: 5px solid {{ critical_path_item.status.color }};
                                       background: {{ critical_path_item.status.color|lighter_color }};">
                                    {{ critical_path_item.status.title }}
                                 </div>
                              </div>
                           {% endfor %}
                        </div>
                     </div>
                  </div>
               {% endif %}
               {% if risk_items %}
                  <div class="action-items page-break-avoider">
                     <div class="sub-heading">Risks</div>
                     <div class="table">
                        <div class="table-header">
                           <div class="header-text-name" style="width: 60%;">Risk Name</div>
                           <div class="header-text-center">Owner</div>
                           <div class="header-text-center">Impact</div>
                        </div>
                        <div class="table-body">
                           {% for risk_item in risk_items %}
                              <div class="table-row">
                                 <div class="table-text-name" style="width: 60%;">
                                     <div class="ql-container ql-snow">
                                         <div class="ql-editor">
                                            {{ risk_item.description|safe }}
                                        </div>
                                    </div>
                                 </div>
                                 <div class="table-text-user">
                                    {% if risk_item.owner %}
                                       {{ risk_item.owner.first_name }} {{ risk_item.owner.last_name }}
                                    {% else %}
                                       {{ risk_item.resource.name }}
                                    {% endif %}
                                 </div>
                                 <div class="table-text table-status" style="border-left: 5px solid {{ risk_item.get_impact_color }};
                                       background: {{ risk_item.get_impact_color|lighter_color }};">
                                    {{ risk_item.get_impact_display }}
                                 </div>
                              </div>
                           {% endfor %}
                        </div>
                     </div>
                  </div>
               {% endif %}
            </div>
         </section>
        {% if notes %}
             <section class="project-notes page-break-avoider">
                <div class="right-heading">MEETING NOTES</div>
                <div class="project-notes-panel">
                   {% for note in notes %}
                      <div class="user-row-notes">
                         <img alt="" class="user-image"
                            src="{% firstof note.author.profile.profile_pic_url default_profile_pic %}" />
                         <div class="user-data">
                            <div class="notes-name">{{ note.author.first_name }} {{ note.author.last_name }}
                               <span class="type">{% if note.meeting %} Meeting Note {% else %} Project
                                  Note {% endif %}
                               </span>
                            </div>
                             <div class="ql-container ql-snow">
                                <div class="ql-editor">
                                {{ note.note|safe }}
                                </div>
                             </div>
                            <div class="date-notes">{{ note.updated_on }}</div>
                         </div>
                      </div>
                   {% endfor %}
                </div>
             </section>
        {% endif %}
         <section class="team-details-main">
            <div class="page-break-avoider">
               <div class="right-heading">PROJECT TEAM</div>
               {% if project_team %}
                  <div class="team-details-content">
                     <div class="sub-heading">
                        LookingPoint Contacts
                     </div>
                     <div class="table">
                        <div class="table-header">
                           <div class="header-text-center" style="width: 10%;">Attended</div>
                           <div class="header-text-center" style="width: 20%;">Contact</div>
                           <div class="header-text-center" style="width: 20%">Role</div>
                           <div class="header-text-center" style="width: 20%">Phone</div>
                           <div class="header-text-center" style="width: 30%">Email</div>
                        </div>
                        <div class="table-body">
                           {% for team_member in project_team %}
                              <div class="table-row">
                                 <div class="table-text" style="width: 10%;">
                                    {% if team_member.attended %}
                                       &#9745;
                                    {% else %}
                                       &#9744;
                                    {% endif %}
                                 </div>
                                 <div class="table-text" style="width: 20%; word-break: break-word;">{{ team_member.first_name }} {{ team_member.last_name }}
                                 </div>
                                 <div class="table-text" style="width: 20%; word-break: break-word;">
                                    {% if team_member.project_role %}
                                       {{ team_member.project_role }}
                                    {% else %}
                                       -
                                    {% endif %}
                                 </div>
                                 <div class="table-text" style="width: 20%; word-break: break-all;">
                                    {% if team_member.profile.full_cell_phone_number %}
                                       <i class="fa fa-phone"></i>{{ team_member.formatted_phone_number }}
                                    {% else %}
                                       -
                                    {% endif %}
                                 </div>
                                 <div class="table-text" style="width: 30%; word-break: break-all;">{{ team_member.email }}
                                 </div>
                              </div>
                           {% endfor %}
                        </div>
                     </div>
                  </div>
               {% endif %}
            </div>
            {% if customer_contacts %}
               <div class="team-details-content">
                  <div class="sub-heading">
                     {{ project.customer.name }} Contacts
                  </div>
                  <div class="table">
                     <div class="table-header">
                        <div class="header-text-center" style="width: 10%;">Attended</div>
                        <div class="header-text-center" style="width: 20%;">Contact</div>
                        <div class="header-text-center" style="width: 20%">Role</div>
                        <div class="header-text-center" style="width: 20%">Phone</div>
                        <div class="header-text-center" style="width: 30%">Email</div>
                     </div>
                     <div class="table-body">
                        {% for contact in customer_contacts %}
                           <div class="table-row">
                              <div class="table-text" style="width: 10%;">
                                 {% if contact.attended %}
                                    &#9745;
                                 {% else %}
                                    &#9744;
                                 {% endif %}
                              </div>
                              <div class="table-text" style="width: 20%; word-break: break-word;">{{ contact.name }}</div>
                              <div class="table-text" style="width: 20%; word-break: break-word;">
                                 {% if contact.project_role %}
                                    {{ contact.project_role }}
                                 {% else %}
                                    -
                                 {% endif %}
                              </div>
                              <div class="table-text" style="width: 20%; word-break: break-all;">
                                 {% if contact.office_phone %}
                                    <i class="fa fa-phone"></i>{{ contact.formatted_phone_number }}
                                 {% else %}
                                    -
                                 {% endif %}
                              </div>
                              <div class="table-text" style="width: 30%; word-break: break-all;">{{ contact.email }}</div>
                           </div>
                        {% endfor %}
                     </div>
                  </div>
               </div>
            {% endif %}
            {% if additional_attendees %}
               <div class="team-details-content">
                  <div class="sub-heading">
                     Resources
                  </div>
                  <div class="table">
                     <div class="table-header">
                        <div class="header-text-center" style="width: 10%">Attended</div>
                        <div class="header-text-center" style="width: 20%;">Contact</div>
                        <div class="header-text-center" style="width: 20%;">Role</div>
                        <div class="header-text-center" style="width: 20%;">Phone</div>
                        <div class="header-text-center" style="width: 30%;">Email</div>
                     </div>
                     <div class="table-body">
                        {% for attendee in additional_attendees %}
                           <div class="table-row">
                              <div class="table-text" style="width: 10%;">
                                 {% if attendee.attended %}
                                    &#9745;
                                 {% else %}
                                    &#9744;
                                 {% endif %}
                              </div>
                              <div class="table-text" style="width: 20%; word-break: break-word;">{{ attendee.name }}
                              </div>
                              <div class="table-text" style="width: 20%; word-break: break-word;">
                                 {% if attendee.role %}
                                    {{ attendee.role }}
                                 {% else %}
                                    -
                                 {% endif %}
                              </div>
                              <div class="table-text" style="width: 20%; word-break: break-all;">
                                 {% if attendee.phone %}
                                    <i class="fa fa-phone"></i>{{ attendee.formatted_phone_number }}
                                 {% else %}
                                    -
                                 {% endif %}
                              </div>
                              <div class="table-text" style="width: 30%; word-break: break-all;">{{ attendee.email }}</div>
                           </div>
                        {% endfor %}
                     </div>
                  </div>
               </div>
            {% endif %}
         </section>
      </div>
   </div>
   {% block script_block %}
   {% endblock %}
</body>
</html>